<ion-header>
  <ion-toolbar>
    <ion-icon name="close-outline" slot="start" (click)="close()"></ion-icon>
    <ion-title>{{ data?.title }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <form [formGroup]="confirmationForm" class="ion-padding ion-text-center">
    <div class="bs-xs-80"></div>
    <p>{{ data?.description }}</p>
    <div class="bs-xs-30"></div>
    <ion-item lines="full">
      <ion-label position="floating">Confirmation code</ion-label>
      <ion-input type="text" formControlName="code"></ion-input>
    </ion-item>
    <div
      class="app-input-error"
      *ngIf="
        confirmationForm.controls.code.dirty &&
        confirmationForm.controls.code.touched
      "
    >
      <span *ngIf="confirmationForm.controls.code.hasError('pattern')"
        >This Code is not valid</span
      >
      <span *ngIf="confirmationForm.controls.code.hasError('required')"
        >This Code is required</span
      >
      <span *ngIf="confirmationForm.controls.code.hasError('minlength')"
        >Minimum 4 symbols</span
      >
      <span *ngIf="data?.errors?.isExpired">Code expired</span>
      <span *ngIf="data?.errors?.isInvalid">Code invalid</span>
    </div>
    <div class="bs-xs-30"></div>
    <a class="app-link">Send new code</a>
  </form>
</ion-content>
<ion-footer class="ion-no-border">
  <ion-toolbar>
    <ion-button
      color="primary"
      expand="full"
      [disabled]="!confirmationForm.valid"
      (click)="sendConfirmationForm()"
      >{{ data?.btnText ? data.btnText : "Verify" }}</ion-button
    >
  </ion-toolbar>
</ion-footer>
